<?php

namespace App\Models;

use CodeIgniter\Model;

class PenggajianModel extends Model
{
    protected $table            = 'tb_penggajian';
    protected $primaryKey       = 'id_penggajian';
    protected $useAutoIncrement = true;
    protected $returnType       = 'array';

    protected $allowedFields    = [
        'id_karyawan',
        'periode_bulan_penggajian',
        'total_jam_penggajian',
        'total_gaji_penggajian',
        'status_pembayaran_penggajian',
        'tanggal_bayar_penggajian',
    ];

    protected $useTimestamps = false;

    public function getPenggajianWithKaryawan()
    {
        return $this->select('tb_penggajian.*, tb_karyawan.nama_karyawan')
                    ->join('tb_karyawan', 'tb_karyawan.id_karyawan = tb_penggajian.id_karyawan')
                    ->orderBy('tb_penggajian.periode_bulan_penggajian', 'DESC')
                    ->findAll();
    }
}